package com.seatel.mobilehall.data.network.repository

import android.app.Application
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.seatel.mobilehall.data.network.viewmodel.HomeViewModel

class ViewModelProviderFactory(
    val app: Application, val repository: HomeRepository
) : ViewModelProvider.Factory {

    override fun <T : ViewModel> create(modelClass: Class<T>): T {
       // if (modelClass.isAssignableFrom())
        return HomeViewModel(app, repository) as T
    }


}